purescript-0.15.12: PureScript Programming Language Compiler

Safe Haskell | Safe-Inferred
Language | Haskell2010

Language.PureScript.CodeGen.JS

Description

This module generates code in the core imperative representation from elaborated PureScript code.

Synopsis

- module Language.PureScript.CoreImp.Module
- module Language.PureScript.CoreImp.AST
- module Language.PureScript.CodeGen.JS.Common
- moduleToJs :: forall m. (MonadReader Options m, MonadSupply m, MonadError MultipleErrors m) => Module Ann -> Maybe PSString -> m Module

# Documentation

module Language.PureScript.CoreImp.Module

module Language.PureScript.CoreImp.AST

module Language.PureScript.CodeGen.JS.Common

moduleToJs :: forall m. (MonadReader Options m, MonadSupply m, MonadError MultipleErrors m) => Module Ann -> Maybe PSString -> m Module #

Generate code in the simplified JavaScript intermediate representation for all declarations in a module.